Subject: Re: bug#40561: 27.0.90; Mail-related errors in docstrings and manuals

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Apr 2020 21:34:13 +0300

> From: Jorge P. de Morais Neto <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 12 Apr 2020 15:20:22 -0300
> 
> I have just updated Emacs to the latest emacs-27 commit, and, while you
> fixed the description of `C-u C-x m', unfortunately you messed up the
> behavior of plain `C-x m'.  According to my quick testing (via `emacs
> -q`), a plain C-x m behaves as previously described in the manual.

Please elaborate: what previous description was correct that I messed
up?

> I am not asking Emacs manual to reproduce all the contents of the web
> page mentioned above.  But at least it could say (in addition to what it
> already says) that:
> 
> 1. Mail clients typically have two different reply functions: one called
>    `reply to author' or `reply to sender' or `personal reply,' and one
>    called `follow up' or `reply to all' or `reply to sender and
>    recipients' or `wide reply' or `group reply'.  (Optionally the manual
>    could mention only the terms used by popular Emacs mail readers.)
> 2. Mention that reply to sender typically goes to
>    Mail-Reply-To/Reply-To/From and wide reply goes to
>    Mail-Followup-To/(To+Cc+(Mail-Reply-To/Reply-To/From)).  Briefly
>    explain that this slash syntax indicates prioritized alternatives.

I use Rmail.  It has only one command: rmail-replay.  It uses these
headers according to the precedence described in the manual, AFAICT.

Maybe Gnus has more "reply" commands, but Gnus has its own manual.

> > That section is not about message-mode, it's about sending email.
> > message-mode is just the default mode we use for editing and sending.
> 
> I still find the manual a bit misleading.  The first sentence of the
> last paragraph of the parent section says:
> 
>     In this section, we will describe some of the most commonly-used
>     commands available in Message mode.
> 
> Then the [[info:emacs#Mail Sending]] section says
> 
>     The variable ‘message-send-mail-function’ controls how the message is
>     delivered (‘send-mail-function’ is used for Mail mode).
> 
> That made me think that people who use Message Mode should set
> ‘message-send-mail-function’ instead of ‘send-mail-function’.
> 
> It is possible that this misunderstanding was caused by bad reading
> comprehension on my part -- and my native (and everyday) language is
> Portuguese.

I'd be interested to hear opinions by others about this.

> And thank you for your work in Emacs!

Thank you for your attention to the details in the manual.